- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CTabView Class Reference

a tab view More...

`#include <ctabview.h>`

Inheritance diagram for CTabView:

List of all members.

## Public Types
enum | { kPositionLeft = 0, kPositionRight, kPositionTop, kPositionBottom }
enum | { kAlignCenter = 0, kAlignLeft, kAlignRight, kAlignTop = kAlignLeft, kAlignBottom = kAlignRight }
## Public Member Functions
| CTabView (const CRect &size, CFrame *parent, CBitmap *tabBitmap, CBitmap *background=0, long tabPosition=kPositionTop, long style=0)
| CTabView (const CRect &size, CFrame *parent, const CRect &tabSize, CBitmap *background=0, long tabPosition=kPositionTop, long style=0)
virtual | ~CTabView ()
virtual bool | addTab (CView *view, const char *name=0, CBitmap *tabBitmap=0)
virtual bool | removeTab (CView *view)
virtual bool | removeAllTabs ()
virtual bool | selectTab (long index)
virtual CRect & | getTabViewSize (CRect &rect) const
virtual void | setTabFontStyle (const CFont &font, long fontSize=12, CColor selectedColor=kBlackCColor, CColor deselectedColor=kWhiteCColor)
| call this after the tabs are added. Tabs added after this call will have the default font style.
virtual void | alignTabs (long alignment=kAlignCenter)
| call this after you have added all tabs
virtual void | valueChanged (CDrawContext *pContext, CControl *pControl)
## Protected Member Functions
void | setCurrentChild (CTabChildView *childView)
## Protected Attributes
unsigned long | numberOfChilds
long | tabPosition
long | style
CRect | tabSize
CBitmap * | tabBitmap
CTabChildView * | firstChild
CTabChildView * | lastChild
CTabChildView * | currentChild

## Detailed Description

a tab view

## Member Enumeration Documentation

anonymous enum

  | Enumerator:
  kPositionLeft |
  kPositionRight |
  kPositionTop |
  kPositionBottom |

anonymous enum

  | Enumerator:
  kAlignCenter |
  kAlignLeft |
  kAlignRight |
  kAlignTop |
  kAlignBottom |

## Constructor & Destructor Documentation

CTabView::CTabView | ( | const CRect & | size,
|  | CFrame * | parent,
|  | CBitmap * | tabBitmap,
|  | CBitmap * | background = `0`,
|  | long | tabPosition = `kPositionTop`,
|  | long | style = `0`
| ) |

CTabView::CTabView | ( | const CRect & | size,
|  | CFrame * | parent,
|  | const CRect & | tabSize,
|  | CBitmap * | background = `0`,
|  | long | tabPosition = `kPositionTop`,
|  | long | style = `0`
| ) |

CTabView::~CTabView | ( |  | ) | `[virtual]`

## Member Function Documentation

bool CTabView::addTab | ( | CView * | view,
|  | const char * | name = `0`,
|  | CBitmap * | tabBitmap = `0`
| ) | `[virtual]`

void CTabView::alignTabs | ( | long | alignment = `kAlignCenter` | ) | `[virtual]`

| call this after you have added all tabs

CRect & CTabView::getTabViewSize | ( | CRect & | rect | ) | const`[virtual]`

bool CTabView::removeAllTabs | ( |  | ) | `[virtual]`

bool CTabView::removeTab | ( | CView * | view | ) | `[virtual]`

bool CTabView::selectTab | ( | long | index | ) | `[virtual]`

void CTabView::setCurrentChild | ( | CTabChildView * | childView | ) | `[protected]`

void CTabView::setTabFontStyle | ( | const CFont & | font,
|  | long | fontSize = `12`,
|  | CColor | selectedColor = `kBlackCColor`,
|  | CColor | deselectedColor = `kWhiteCColor`
| ) | `[virtual]`

| call this after the tabs are added. Tabs added after this call will have the default font style.

void CTabView::valueChanged | ( | CDrawContext * | pContext,
|  | CControl * | pControl
| ) | `[virtual]`

| Implements CControlListener.

## Member Data Documentation

CTabChildView* CTabView::currentChild`[protected]`

CTabChildView* CTabView::firstChild`[protected]`

CTabChildView* CTabView::lastChild`[protected]`

unsigned long CTabView::numberOfChilds`[protected]`

long CTabView::style`[protected]`

CBitmap* CTabView::tabBitmap`[protected]`

long CTabView::tabPosition`[protected]`

CRect CTabView::tabSize`[protected]`

The documentation for this class was generated from the following files:

- ctabview.h
- ctabview.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.